summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2007-07-30 06:57:42 +0000
committerZac Medico <zmedico@gentoo.org>2007-07-30 06:57:42 +0000
commit9846c4f9f4281844c90ba6858a88b4dba70ddcce (patch)
tree57194160e7b2bab750d2fd2e9706ed159d2eb773 /bin/ebuild.sh
parentFor bug #169500, detect when the cvs server puts /Attic/ inside the path and... (diff)
downloadportage-multirepo-9846c4f9f4281844c90ba6858a88b4dba70ddcce.tar.gz
portage-multirepo-9846c4f9f4281844c90ba6858a88b4dba70ddcce.tar.bz2
portage-multirepo-9846c4f9f4281844c90ba6858a88b4dba70ddcce.zip
For bug #184774, put lha's -q option last since otherwise the option parser now requires level 0, 1, or 2 to be specified. (branches/2.1.2 r7359)
svn path=/main/branches/2.1.2.9/; revision=7505
Diffstat (limited to 'bin/ebuild.sh')
-rwxr-xr-xbin/ebuild.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 18c94684..9eb0a4f8 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -453,7 +453,7 @@ unpack() {
unrar x -idq -o+ "${srcdir}/${x}" || die "$myfail"
;;
LHa|LHA|lha|lzh)
- lha xqf "${srcdir}/${x}" || die "$myfail"
+ lha xfq "${srcdir}/${x}" || die "$myfail"
;;
a|deb)
ar x "${srcdir}/${x}" || die "$myfail"